oracle.pgx.api

## Class PgxVertex<ID extends Comparable<ID>>

- java.lang.Object
- - oracle.pgx.api.PgxEntity<ID>
  - - oracle.pgx.api.PgxVertex<ID>

- Type Parameters:
    `ID` - the vertex ID type
  All Implemented Interfaces:
    Comparable<PgxVertex<ID>>

      public class PgxVertex<ID extends Comparable<ID>>
      extends PgxEntity<ID>
      implements Comparable<PgxVertex<ID>>

  A vertex of a `PgxGraph`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(PgxVertex<ID> o)`
    `<V extends Comparable<V>> V` | `getProperty(String propertyName)` Blocking version of `getPropertyAsync(String)`.
    `<V extends Comparable<V>> PgxFuture<V>` | `getPropertyAsync(String propertyName)` Gets the value of a property.

    - ### Methods inherited from class oracle.pgx.api.PgxEntity

      `equals, getGraph, getId, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### compareTo

          public int compareTo(PgxVertex<ID> o)

      Specified by:
        `compareTo` in interface `Comparable<PgxVertex<ID extends Comparable<ID>>>`

    - #### getProperty

          @Generated(value="src/python/synchronize.py")
          public <V extends Comparable<V>> V getProperty(String propertyName)
                                           throws ExecutionException,
                                                  InterruptedException

      Blocking version of `getPropertyAsync(String)`. Calls `getPropertyAsync(String)` and waits for the returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### getPropertyAsync

          public <V extends Comparable<V>> PgxFuture<V> getPropertyAsync(String propertyName)

      Gets the value of a property.
      Parameters:
        `propertyName` - the property name
      Returns:
        the value

Copyright © 2015. All rights reserved.